Skip to main content

Get an employee by ID

GEThttps://api.propexo.com/v1/employees/:employee_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

employee_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Leasing/Leasing/GetEmployees
    Lead Management/MITS/SearchProspects
    Work Orders/WorkOrders/GetWorkOrders
    Example: c1d4e8a2-5f63-4b90-8c17-2e9a6d4b0f38
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Leasing/Leasing/GetEmployees
    Lead Management/MITS/SearchProspects
    Work Orders/WorkOrders/GetWorkOrders
    Example: 7c4e1a90-2b58-4f63-a1d7-e90c5b28f416
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    namestring | nullnullablerequired

    The name associated with the employee

    InterfaceMethod
    Leasing/Leasing/GetEmployees
    Lead Management/MITS/SearchProspects
    Work Orders/WorkOrders/GetWorkOrders
    Example: John Wick
    emailstring | nullnullablerequired

    The primary email address associated with the employee

    InterfaceMethod
    Leasing/Leasing/GetEmployees
    is_activenullrequired

    Whether the employee is active

    Notice

    This field will always be null for RESMAN

    Example: null
    rolesstring[]required

    The roles associated with the employee

    InterfaceMethod
    Leasing/Leasing/GetEmployees
    Lead Management/MITS/SearchProspects
    Work Orders/WorkOrders/GetWorkOrders
    Example: ["LEASING_AGENT"]
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/employees/:employee_id
curl https://api.propexo.com/v1/employees/:employee_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "c1d4e8a2-5f63-4b90-8c17-2e9a6d4b0f38",
"x_property_id": "7c4e1a90-2b58-4f63-a1d7-e90c5b28f416",
"x_location_id": null,
"name": "John Wick",
"email": "[email protected]",
"is_active": null,
"roles": [
"LEASING_AGENT"
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}